<?php
// Zabbix GUI configuration file
{% if zabbix_server_web_history_url is defined %}
global $DB, $HISTORY;
{% else %}
global $DB;
{% endif %}

$DB['TYPE']     = '{{ zabbix_server_database_type | upper() }}';
$DB['SERVER']   = '{{ zabbix_server_database_host }}';
$DB['PORT']     = '{{ zabbix_server_database_port }}';
$DB['DATABASE'] = '{{ zabbix_server_database_name }}';
$DB['USER']     = '{{ zabbix_server_database_user }}';
$DB['PASSWORD'] = '{{ zabbix_server_database_password }}';

// SCHEMA is relevant only for IBM_DB2 database
$DB['SCHEMA'] = '';

$ZBX_SERVER      = '{{ zabbix_server_hostname }}';
$ZBX_SERVER_PORT = '{{ zabbix_server_listenport }}';
$ZBX_SERVER_NAME = '{{ zabbix_server_hostname }}';

$IMAGE_FORMAT_DEFAULT = IMAGE_FORMAT_PNG;

{% if zabbix_server_web_history_url is defined %}
$HISTORY['url']		= {{ zabbix_server_web_history_url }};
$HISTORY['types']	= {{ zabbix_server_web_history_types | to_json }};
{% endif %}

{% if zabbix_web_env is defined %}
{% for env,val in zabbix_web_env.iteritems() %}
putenv("{{env}}={{val}}");
{% endfor %}
{% endif %}


{% if zabbix_server_saml %}
$SSO['SP_KEY'] = '{{ zabbix_server_saml_sp_key_path }}'; // Path to your private key.
$SSO['SP_CERT'] = '{{ zabbix_server_saml_sp_cert_path }}'; // Path to your public key.
$SSO['IDP_CERT'] = '{{ zabbix_server_saml_idp_cert_path }}'; // Path to IdP public key.
$SSO['SETTINGS'] = []; // Additional settings
{% endif %}
?>
